/*  file -- dvdfgpdec.h
|=======================================================================
|
|                          c  copyright 1982
|                    Intelligent Software Systems, Inc.
|
|    dvdfgpdec.h
|
|    alan c morse      9 sep 82
|
|         alan c morse     25 Oct 82      Remove slot count limit.
|
|=======================================================================
|
|    include-file description/function:
|
|      Declares the data structure that contains the parameters from
|      display formatter, which uses the parameters to indicate
|      to the guard the conditions that the data group must fulfill
|      to be displayable by the display formatter.  The guard checks
|      that these conditions are met.
|          This file must be maintained in parallel with dvdfgpset.h
|      which is included in the display formatter, which references this
|      structure.
|
|=======================================================================
*/
#ifndef DVDFGPDEC_H
#define DVDFGPDEC_H

typedef struct DG_CONSTRAINTS
  {
  char *dfname;/* Name of the display formatter           */
/* 
  Specification of upper limits of DATAGROUP and VAR_DESC entries.  The
  display formatter will not be responsible for displaying data groups
  with values higher than these.
*/
  struct
    {
    struct
      {
      short d1;
      short d2;
      } size;

    short varnum;

    } upper_limits;

  struct
    {
    unsigned vars_eq_size: 1;
    unsigned one_slot_only: 1;
    } flags;

  } DG_CONSTRAINTS;
#endif /*DVDFGPDEC_H*/


